Package org.eclipse.mat.dtfj

## Class InitDTFJ.DynamicInfo

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - java.util.HashMap<java.lang.String,​java.util.Map<java.lang.String,​java.lang.String>>
    - - org.eclipse.mat.dtfj.InitDTFJ.DynamicInfo

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Cloneable`, `java.util.Map<java.lang.String,​java.util.Map<java.lang.String,​java.lang.String>>`

Enclosing class:
  InitDTFJ

    public static class InitDTFJ.DynamicInfo
    extends java.util.HashMap<java.lang.String,​java.util.Map<java.lang.String,​java.lang.String>>

This is created and called from the MAT parser handling code It provides a list of parsers E.g. org.eclipse.mat.dtfj.DTFJ-J9 id = "DTFJ-J9" name = "IBM SDK for Java (J9) system dump" exts = "zip,dmp,xml"

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`java.util.AbstractMap.SimpleEntry<K extends java.lang.Object,​V extends java.lang.Object>, java.util.AbstractMap.SimpleImmutableEntry<K extends java.lang.Object,​V extends java.lang.Object>`

### Nested classes/interfaces inherited from interface java.util.Map

`java.util.Map.Entry<K extends java.lang.Object,​V extends java.lang.Object>`

### Constructor Summary

Constructors
`DynamicInfo()`

### Method Summary

### Methods inherited from class java.util.HashMap

`clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

### Constructor Detail

#### DynamicInfo

    public DynamicInfo()